/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.12
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-NetworkAuth.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAuthAPI_H
#define _QtNetworkAuthAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_TIMELINE_QtNetworkAuth_6_6_0
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_6_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QOAuth1Signature__HttpRequestMethod 0
#define sipName_QOAuth1Signature__HttpRequestMethod &sipStrings_QtNetworkAuth[0]
#define sipNameNr_clientIdentifierSharedKeyChanged 36
#define sipName_clientIdentifierSharedKeyChanged &sipStrings_QtNetworkAuth[36]
#define sipNameNr_RequestingTemporaryCredentials 69
#define sipName_RequestingTemporaryCredentials &sipStrings_QtNetworkAuth[69]
#define sipNameNr_temporaryCredentialsUrlChanged 100
#define sipName_temporaryCredentialsUrlChanged &sipStrings_QtNetworkAuth[100]
#define sipNameNr_OAuthTokenSecretNotFoundError 131
#define sipName_OAuthTokenSecretNotFoundError &sipStrings_QtNetworkAuth[131]
#define sipNameNr_authorizationCallbackReceived 161
#define sipName_authorizationCallbackReceived &sipStrings_QtNetworkAuth[161]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION_STR 191
#define sipName_PYQT_NETWORKAUTH_VERSION_STR &sipStrings_QtNetworkAuth[191]
#define sipNameNr_QOAuth2AuthorizationCodeFlow 220
#define sipName_QOAuth2AuthorizationCodeFlow &sipStrings_QtNetworkAuth[220]
#define sipNameNr_QOAuthHttpServerReplyHandler 249
#define sipName_QOAuthHttpServerReplyHandler &sipStrings_QtNetworkAuth[249]
#define sipNameNr_TemporaryCredentialsReceived 278
#define sipName_TemporaryCredentialsReceived &sipStrings_QtNetworkAuth[278]
#define sipNameNr_setClientIdentifierSharedKey 307
#define sipName_setClientIdentifierSharedKey &sipStrings_QtNetworkAuth[307]
#define sipNameNr_QAbstractOAuth__ContentType 336
#define sipName_QAbstractOAuth__ContentType &sipStrings_QtNetworkAuth[336]
#define sipNameNr_364 364
#define sipName_364 &sipStrings_QtNetworkAuth[364]
#define sipNameNr_generateAuthorizationHeader 392
#define sipName_generateAuthorizationHeader &sipStrings_QtNetworkAuth[392]
#define sipNameNr_requestTemporaryCredentials 420
#define sipName_requestTemporaryCredentials &sipStrings_QtNetworkAuth[420]
#define sipNameNr_setModifyParametersFunction 448
#define sipName_setModifyParametersFunction &sipStrings_QtNetworkAuth[448]
#define sipNameNr_QAbstractOAuthReplyHandler 476
#define sipName_QAbstractOAuthReplyHandler &sipStrings_QtNetworkAuth[476]
#define sipNameNr_resourceOwnerAuthorization 503
#define sipName_resourceOwnerAuthorization &sipStrings_QtNetworkAuth[503]
#define sipNameNr_setTemporaryCredentialsUrl 530
#define sipName_setTemporaryCredentialsUrl &sipStrings_QtNetworkAuth[530]
#define sipNameNr_557 557
#define sipName_557 &sipStrings_QtNetworkAuth[557]
#define sipNameNr_tokenCredentialsUrlChanged 584
#define sipName_tokenCredentialsUrlChanged &sipStrings_QtNetworkAuth[584]
#define sipNameNr_clientIdentifierSharedKey 611
#define sipName_clientIdentifierSharedKey &sipStrings_QtNetworkAuth[611]
#define sipNameNr_clientSharedSecretChanged 637
#define sipName_clientSharedSecretChanged &sipStrings_QtNetworkAuth[637]
#define sipNameNr_continueGrantWithVerifier 663
#define sipName_continueGrantWithVerifier &sipStrings_QtNetworkAuth[663]
#define sipNameNr_tokenRequestErrorOccurred 689
#define sipName_tokenRequestErrorOccurred &sipStrings_QtNetworkAuth[689]
#define sipNameNr_OAuthCallbackNotVerified 715
#define sipName_OAuthCallbackNotVerified &sipStrings_QtNetworkAuth[715]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION 740
#define sipName_PYQT_NETWORKAUTH_VERSION &sipStrings_QtNetworkAuth[740]
#define sipNameNr_QOAuth1__SignatureMethod 765
#define sipName_QOAuth1__SignatureMethod &sipStrings_QtNetworkAuth[765]
#define sipNameNr_modifyParametersFunction 790
#define sipName_modifyParametersFunction &sipStrings_QtNetworkAuth[790]
#define sipNameNr_OAuthTokenNotFoundError 815
#define sipName_OAuthTokenNotFoundError &sipStrings_QtNetworkAuth[815]
#define sipNameNr_PyQt6_sip_simplewrapper 839
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetworkAuth[839]
#define sipNameNr_RequestingAuthorization 863
#define sipName_RequestingAuthorization &sipStrings_QtNetworkAuth[863]
#define sipNameNr_authorizationUrlChanged 887
#define sipName_authorizationUrlChanged &sipStrings_QtNetworkAuth[887]
#define sipNameNr_clientIdentifierChanged 911
#define sipName_clientIdentifierChanged &sipStrings_QtNetworkAuth[911]
#define sipNameNr_requestTokenCredentials 935
#define sipName_requestTokenCredentials &sipStrings_QtNetworkAuth[935]
#define sipNameNr_setNetworkAccessManager 959
#define sipName_setNetworkAccessManager &sipStrings_QtNetworkAuth[959]
#define sipNameNr_sslConfigurationChanged 983
#define sipName_sslConfigurationChanged &sipStrings_QtNetworkAuth[983]
#define sipNameNr_temporaryCredentialsUrl 1007
#define sipName_temporaryCredentialsUrl &sipStrings_QtNetworkAuth[1007]
#define sipNameNr_QAbstractOAuth__Status 1031
#define sipName_QAbstractOAuth__Status &sipStrings_QtNetworkAuth[1031]
#define sipNameNr_createAuthenticatedUrl 1054
#define sipName_createAuthenticatedUrl &sipStrings_QtNetworkAuth[1054]
#define sipNameNr_setTokenCredentialsUrl 1077
#define sipName_setTokenCredentialsUrl &sipStrings_QtNetworkAuth[1077]
#define sipNameNr_signatureMethodChanged 1100
#define sipName_signatureMethodChanged &sipStrings_QtNetworkAuth[1100]
#define sipNameNr_QAbstractOAuth__Error 1123
#define sipName_QAbstractOAuth__Error &sipStrings_QtNetworkAuth[1123]
#define sipNameNr_QAbstractOAuth__Stage 1145
#define sipName_QAbstractOAuth__Stage &sipStrings_QtNetworkAuth[1145]
#define sipNameNr_QOAuthOobReplyHandler 1167
#define sipName_QOAuthOobReplyHandler &sipStrings_QtNetworkAuth[1167]
#define sipNameNr_RefreshingAccessToken 1189
#define sipName_RefreshingAccessToken &sipStrings_QtNetworkAuth[1189]
#define sipNameNr_RequestingAccessToken 1211
#define sipName_RequestingAccessToken &sipStrings_QtNetworkAuth[1211]
#define sipNameNr_accessTokenUrlChanged 1233
#define sipName_accessTokenUrlChanged &sipStrings_QtNetworkAuth[1233]
#define sipNameNr_setClientSharedSecret 1255
#define sipName_setClientSharedSecret &sipStrings_QtNetworkAuth[1255]
#define sipNameNr_setCustomMethodString 1277
#define sipName_setCustomMethodString &sipStrings_QtNetworkAuth[1277]
#define sipNameNr_authorizeWithBrowser 1299
#define sipName_authorizeWithBrowser &sipStrings_QtNetworkAuth[1299]
#define sipNameNr_buildAuthenticateUrl 1320
#define sipName_buildAuthenticateUrl &sipStrings_QtNetworkAuth[1320]
#define sipNameNr_callbackDataReceived 1341
#define sipName_callbackDataReceived &sipStrings_QtNetworkAuth[1341]
#define sipNameNr_generateRandomString 1362
#define sipName_generateRandomString &sipStrings_QtNetworkAuth[1362]
#define sipNameNr_networkAccessManager 1383
#define sipName_networkAccessManager &sipStrings_QtNetworkAuth[1383]
#define sipNameNr_networkReplyFinished 1404
#define sipName_networkReplyFinished &sipStrings_QtNetworkAuth[1404]
#define sipNameNr_setClientCredentials 1425
#define sipName_setClientCredentials &sipStrings_QtNetworkAuth[1425]
#define sipNameNr_setHttpRequestMethod 1446
#define sipName_setHttpRequestMethod &sipStrings_QtNetworkAuth[1446]
#define sipNameNr_PyQt6_QtNetworkAuth 1467
#define sipName_PyQt6_QtNetworkAuth &sipStrings_QtNetworkAuth[1467]
#define sipNameNr_expirationAtChanged 1487
#define sipName_expirationAtChanged &sipStrings_QtNetworkAuth[1487]
#define sipNameNr_refreshTokenChanged 1507
#define sipName_refreshTokenChanged &sipStrings_QtNetworkAuth[1507]
#define sipNameNr_responseTypeChanged 1527
#define sipName_responseTypeChanged &sipStrings_QtNetworkAuth[1527]
#define sipNameNr_setAuthorizationUrl 1547
#define sipName_setAuthorizationUrl &sipStrings_QtNetworkAuth[1547]
#define sipNameNr_setClientIdentifier 1567
#define sipName_setClientIdentifier &sipStrings_QtNetworkAuth[1567]
#define sipNameNr_setSslConfiguration 1587
#define sipName_setSslConfiguration &sipStrings_QtNetworkAuth[1587]
#define sipNameNr_setTokenCredentials 1607
#define sipName_setTokenCredentials &sipStrings_QtNetworkAuth[1607]
#define sipNameNr_tokenCredentialsUrl 1627
#define sipName_tokenCredentialsUrl &sipStrings_QtNetworkAuth[1627]
#define sipNameNr_clientSharedSecret 1647
#define sipName_clientSharedSecret &sipStrings_QtNetworkAuth[1647]
#define sipNameNr_contentTypeChanged 1666
#define sipName_contentTypeChanged &sipStrings_QtNetworkAuth[1666]
#define sipNameNr_customMethodString 1685
#define sipName_customMethodString &sipStrings_QtNetworkAuth[1685]
#define sipNameNr_extraTokensChanged 1704
#define sipName_extraTokensChanged &sipStrings_QtNetworkAuth[1704]
#define sipNameNr_refreshAccessToken 1723
#define sipName_refreshAccessToken &sipStrings_QtNetworkAuth[1723]
#define sipNameNr_requestAccessToken 1742
#define sipName_requestAccessToken &sipStrings_QtNetworkAuth[1742]
#define sipNameNr_setClientSharedKey 1761
#define sipName_setClientSharedKey &sipStrings_QtNetworkAuth[1761]
#define sipNameNr_setSignatureMethod 1780
#define sipName_setSignatureMethod &sipStrings_QtNetworkAuth[1780]
#define sipNameNr_tokenSecretChanged 1799
#define sipName_tokenSecretChanged &sipStrings_QtNetworkAuth[1799]
#define sipNameNr_HttpRequestMethod 18
#define sipName_HttpRequestMethod &sipStrings_QtNetworkAuth[18]
#define sipNameNr_WwwFormUrlEncoded 1818
#define sipName_WwwFormUrlEncoded &sipStrings_QtNetworkAuth[1818]
#define sipNameNr_clientCredentials 1836
#define sipName_clientCredentials &sipStrings_QtNetworkAuth[1836]
#define sipNameNr_httpRequestMethod 1854
#define sipName_httpRequestMethod &sipStrings_QtNetworkAuth[1854]
#define sipNameNr_replyDataReceived 1872
#define sipName_replyDataReceived &sipStrings_QtNetworkAuth[1872]
#define sipNameNr_setAccessTokenUrl 1890
#define sipName_setAccessTokenUrl &sipStrings_QtNetworkAuth[1890]
#define sipNameNr_NotAuthenticated 1908
#define sipName_NotAuthenticated &sipStrings_QtNetworkAuth[1908]
#define sipNameNr_QOAuth1Signature 1925
#define sipName_QOAuth1Signature &sipStrings_QtNetworkAuth[1925]
#define sipNameNr_authorizationUrl 1942
#define sipName_authorizationUrl &sipStrings_QtNetworkAuth[1942]
#define sipNameNr_callbackReceived 1959
#define sipName_callbackReceived &sipStrings_QtNetworkAuth[1959]
#define sipNameNr_clientIdentifier 1976
#define sipName_clientIdentifier &sipStrings_QtNetworkAuth[1976]
#define sipNameNr_disconnectNotify 1993
#define sipName_disconnectNotify &sipStrings_QtNetworkAuth[1993]
#define sipNameNr_sslConfiguration 2010
#define sipName_sslConfiguration &sipStrings_QtNetworkAuth[2010]
#define sipNameNr_tokenCredentials 2027
#define sipName_tokenCredentials &sipStrings_QtNetworkAuth[2027]
#define sipNameNr_userAgentChanged 2044
#define sipName_userAgentChanged &sipStrings_QtNetworkAuth[2044]
#define sipNameNr_QAbstractOAuth2 2061
#define sipName_QAbstractOAuth2 &sipStrings_QtNetworkAuth[2061]
#define sipNameNr_RefreshingToken 2077
#define sipName_RefreshingToken &sipStrings_QtNetworkAuth[2077]
#define sipNameNr_SignatureMethod 774
#define sipName_SignatureMethod &sipStrings_QtNetworkAuth[774]
#define sipNameNr_clientSharedKey 2093
#define sipName_clientSharedKey &sipStrings_QtNetworkAuth[2093]
#define sipNameNr_setCallbackPath 2109
#define sipName_setCallbackPath &sipStrings_QtNetworkAuth[2109]
#define sipNameNr_setCallbackText 2125
#define sipName_setCallbackText &sipStrings_QtNetworkAuth[2125]
#define sipNameNr_setRefreshToken 2141
#define sipName_setRefreshToken &sipStrings_QtNetworkAuth[2141]
#define sipNameNr_setReplyHandler 2157
#define sipName_setReplyHandler &sipStrings_QtNetworkAuth[2157]
#define sipNameNr_setResponseType 2173
#define sipName_setResponseType &sipStrings_QtNetworkAuth[2173]
#define sipNameNr_signatureMethod 2189
#define sipName_signatureMethod &sipStrings_QtNetworkAuth[2189]
#define sipNameNr_QAbstractOAuth 2205
#define sipName_QAbstractOAuth &sipStrings_QtNetworkAuth[2205]
#define sipNameNr_accessTokenUrl 2220
#define sipName_accessTokenUrl &sipStrings_QtNetworkAuth[2220]
#define sipNameNr_addRequestBody 2235
#define sipName_addRequestBody &sipStrings_QtNetworkAuth[2235]
#define sipNameNr_deleteResource 2250
#define sipName_deleteResource &sipStrings_QtNetworkAuth[2250]
#define sipNameNr_prepareRequest 2265
#define sipName_prepareRequest &sipStrings_QtNetworkAuth[2265]
#define sipNameNr_setContentType 2280
#define sipName_setContentType &sipStrings_QtNetworkAuth[2280]
#define sipNameNr_setTokenSecret 2295
#define sipName_setTokenSecret &sipStrings_QtNetworkAuth[2295]
#define sipNameNr_tokensReceived 2310
#define sipName_tokensReceived &sipStrings_QtNetworkAuth[2310]
#define sipNameNr_connectNotify 1996
#define sipName_connectNotify &sipStrings_QtNetworkAuth[1996]
#define sipNameNr_requestFailed 2325
#define sipName_requestFailed &sipStrings_QtNetworkAuth[2325]
#define sipNameNr_setParameters 2339
#define sipName_setParameters &sipStrings_QtNetworkAuth[2339]
#define sipNameNr_statusChanged 2353
#define sipName_statusChanged &sipStrings_QtNetworkAuth[2353]
#define sipNameNr_NetworkError 2367
#define sipName_NetworkError &sipStrings_QtNetworkAuth[2367]
#define sipNameNr_callbackPath 2380
#define sipName_callbackPath &sipStrings_QtNetworkAuth[2380]
#define sipNameNr_callbackText 2393
#define sipName_callbackText &sipStrings_QtNetworkAuth[2393]
#define sipNameNr_defaultValue 2406
#define sipName_defaultValue &sipStrings_QtNetworkAuth[2406]
#define sipNameNr_expirationAt 2419
#define sipName_expirationAt &sipStrings_QtNetworkAuth[2419]
#define sipNameNr_refreshToken 2432
#define sipName_refreshToken &sipStrings_QtNetworkAuth[2432]
#define sipNameNr_replyHandler 2445
#define sipName_replyHandler &sipStrings_QtNetworkAuth[2445]
#define sipNameNr_responseType 2458
#define sipName_responseType &sipStrings_QtNetworkAuth[2458]
#define sipNameNr_scopeChanged 2471
#define sipName_scopeChanged &sipStrings_QtNetworkAuth[2471]
#define sipNameNr_setUserAgent 2484
#define sipName_setUserAgent &sipStrings_QtNetworkAuth[2484]
#define sipNameNr_stateChanged 2497
#define sipName_stateChanged &sipStrings_QtNetworkAuth[2497]
#define sipNameNr_tokenChanged 2510
#define sipName_tokenChanged &sipStrings_QtNetworkAuth[2510]
#define sipNameNr_ContentType 352
#define sipName_ContentType &sipStrings_QtNetworkAuth[352]
#define sipNameNr_ServerError 2523
#define sipName_ServerError &sipStrings_QtNetworkAuth[2523]
#define sipNameNr_contentType 2535
#define sipName_contentType &sipStrings_QtNetworkAuth[2535]
#define sipNameNr_customEvent 2547
#define sipName_customEvent &sipStrings_QtNetworkAuth[2547]
#define sipNameNr_eventFilter 2559
#define sipName_eventFilter &sipStrings_QtNetworkAuth[2559]
#define sipNameNr_extraTokens 2571
#define sipName_extraTokens &sipStrings_QtNetworkAuth[2571]
#define sipNameNr_isListening 2583
#define sipName_isListening &sipStrings_QtNetworkAuth[2583]
#define sipNameNr_tokenSecret 2595
#define sipName_tokenSecret &sipStrings_QtNetworkAuth[2595]
#define sipNameNr_childEvent 2607
#define sipName_childEvent &sipStrings_QtNetworkAuth[2607]
#define sipNameNr_parameters 2618
#define sipName_parameters &sipStrings_QtNetworkAuth[2618]
#define sipNameNr_timerEvent 2629
#define sipName_timerEvent &sipStrings_QtNetworkAuth[2629]
#define sipNameNr_Hmac_Sha1 2640
#define sipName_Hmac_Sha1 &sipStrings_QtNetworkAuth[2640]
#define sipNameNr_PlainText 2650
#define sipName_PlainText &sipStrings_QtNetworkAuth[2650]
#define sipNameNr_plainText 2660
#define sipName_plainText &sipStrings_QtNetworkAuth[2660]
#define sipNameNr_setStatus 2670
#define sipName_setStatus &sipStrings_QtNetworkAuth[2670]
#define sipNameNr_userAgent 2680
#define sipName_userAgent &sipStrings_QtNetworkAuth[2680]
#define sipNameNr_Rsa_Sha1 2690
#define sipName_Rsa_Sha1 &sipStrings_QtNetworkAuth[2690]
#define sipNameNr_callback 2699
#define sipName_callback &sipStrings_QtNetworkAuth[2699]
#define sipNameNr_finished 2708
#define sipName_finished &sipStrings_QtNetworkAuth[2708]
#define sipNameNr_hmacSha1 2717
#define sipName_hmacSha1 &sipStrings_QtNetworkAuth[2717]
#define sipNameNr_setScope 2726
#define sipName_setScope &sipStrings_QtNetworkAuth[2726]
#define sipNameNr_setState 2735
#define sipName_setState &sipStrings_QtNetworkAuth[2735]
#define sipNameNr_setToken 2744
#define sipName_setToken &sipStrings_QtNetworkAuth[2744]
#define sipNameNr_Granted 2753
#define sipName_Granted &sipStrings_QtNetworkAuth[2753]
#define sipNameNr_NoError 2761
#define sipName_NoError &sipStrings_QtNetworkAuth[2761]
#define sipNameNr_QOAuth1 2769
#define sipName_QOAuth1 &sipStrings_QtNetworkAuth[2769]
#define sipNameNr_Unknown 2777
#define sipName_Unknown &sipStrings_QtNetworkAuth[2777]
#define sipNameNr_address 2785
#define sipName_address &sipStrings_QtNetworkAuth[2785]
#define sipNameNr_granted 2793
#define sipName_granted &sipStrings_QtNetworkAuth[2793]
#define sipNameNr_rsaSha1 2801
#define sipName_rsaSha1 &sipStrings_QtNetworkAuth[2801]
#define sipNameNr_Custom 2809
#define sipName_Custom &sipStrings_QtNetworkAuth[2809]
#define sipNameNr_Delete 2816
#define sipName_Delete &sipStrings_QtNetworkAuth[2816]
#define sipNameNr_Status 1047
#define sipName_Status &sipStrings_QtNetworkAuth[1047]
#define sipNameNr_insert 2823
#define sipName_insert &sipStrings_QtNetworkAuth[2823]
#define sipNameNr_listen 2830
#define sipName_listen &sipStrings_QtNetworkAuth[2830]
#define sipNameNr_method 2837
#define sipName_method &sipStrings_QtNetworkAuth[2837]
#define sipNameNr_parent 2844
#define sipName_parent &sipStrings_QtNetworkAuth[2844]
#define sipNameNr_setUrl 2851
#define sipName_setUrl &sipStrings_QtNetworkAuth[2851]
#define sipNameNr_status 2858
#define sipName_status &sipStrings_QtNetworkAuth[2858]
#define sipNameNr_Error 155
#define sipName_Error &sipStrings_QtNetworkAuth[155]
#define sipNameNr_Stage 1161
#define sipName_Stage &sipStrings_QtNetworkAuth[1161]
#define sipNameNr_close 2865
#define sipName_close &sipStrings_QtNetworkAuth[2865]
#define sipNameNr_error 2871
#define sipName_error &sipStrings_QtNetworkAuth[2871]
#define sipNameNr_event 2877
#define sipName_event &sipStrings_QtNetworkAuth[2877]
#define sipNameNr_grant 2883
#define sipName_grant &sipStrings_QtNetworkAuth[2883]
#define sipNameNr_nonce 2889
#define sipName_nonce &sipStrings_QtNetworkAuth[2889]
#define sipNameNr_scope 2895
#define sipName_scope &sipStrings_QtNetworkAuth[2895]
#define sipNameNr_setup 2901
#define sipName_setup &sipStrings_QtNetworkAuth[2901]
#define sipNameNr_state 2907
#define sipName_state &sipStrings_QtNetworkAuth[2907]
#define sipNameNr_token 2913
#define sipName_token &sipStrings_QtNetworkAuth[2913]
#define sipNameNr_value 2919
#define sipName_value &sipStrings_QtNetworkAuth[2919]
#define sipNameNr_Head 2925
#define sipName_Head &sipStrings_QtNetworkAuth[2925]
#define sipNameNr_Json 2930
#define sipName_Json &sipStrings_QtNetworkAuth[2930]
#define sipNameNr_Post 2935
#define sipName_Post &sipStrings_QtNetworkAuth[2935]
#define sipNameNr_body 2940
#define sipName_body &sipStrings_QtNetworkAuth[2940]
#define sipNameNr_head 2945
#define sipName_head &sipStrings_QtNetworkAuth[2945]
#define sipNameNr_keys 2950
#define sipName_keys &sipStrings_QtNetworkAuth[2950]
#define sipNameNr_port 2955
#define sipName_port &sipStrings_QtNetworkAuth[2955]
#define sipNameNr_post 2960
#define sipName_post &sipStrings_QtNetworkAuth[2960]
#define sipNameNr_swap 2965
#define sipName_swap &sipStrings_QtNetworkAuth[2965]
#define sipNameNr_take 2970
#define sipName_take &sipStrings_QtNetworkAuth[2970]
#define sipNameNr_Get 2975
#define sipName_Get &sipStrings_QtNetworkAuth[2975]
#define sipNameNr_Put 2979
#define sipName_Put &sipStrings_QtNetworkAuth[2979]
#define sipNameNr_get 2983
#define sipName_get &sipStrings_QtNetworkAuth[2983]
#define sipNameNr_put 2987
#define sipName_put &sipStrings_QtNetworkAuth[2987]
#define sipNameNr_url 2991
#define sipName_url &sipStrings_QtNetworkAuth[2991]

#define sipMalloc                   sipAPI_QtNetworkAuth->api_malloc
#define sipFree                     sipAPI_QtNetworkAuth->api_free
#define sipBuildResult              sipAPI_QtNetworkAuth->api_build_result
#define sipCallMethod               sipAPI_QtNetworkAuth->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetworkAuth->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetworkAuth->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetworkAuth->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetworkAuth->api_parse_result
#define sipParseArgs                sipAPI_QtNetworkAuth->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetworkAuth->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetworkAuth->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetworkAuth->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetworkAuth->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetworkAuth->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetworkAuth->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetworkAuth->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetworkAuth->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetworkAuth->api_add_exception
#define sipNoFunction               sipAPI_QtNetworkAuth->api_no_function
#define sipNoMethod                 sipAPI_QtNetworkAuth->api_no_method
#define sipAbstractMethod           sipAPI_QtNetworkAuth->api_abstract_method
#define sipBadClass                 sipAPI_QtNetworkAuth->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetworkAuth->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetworkAuth->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetworkAuth->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetworkAuth->api_trace
#define sipTransferBack             sipAPI_QtNetworkAuth->api_transfer_back
#define sipTransferTo               sipAPI_QtNetworkAuth->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetworkAuth->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetworkAuth->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetworkAuth->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetworkAuth->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetworkAuth->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetworkAuth->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetworkAuth->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetworkAuth->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetworkAuth->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetworkAuth->api_call_hook
#define sipEndThread                sipAPI_QtNetworkAuth->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetworkAuth->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetworkAuth->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetworkAuth->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetworkAuth->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetworkAuth->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetworkAuth->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetworkAuth->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetworkAuth->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetworkAuth->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetworkAuth->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetworkAuth->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetworkAuth->api_release_type
#define sipConvertFromType          sipAPI_QtNetworkAuth->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetworkAuth->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetworkAuth->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetworkAuth->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetworkAuth->api_get_state
#define sipExportSymbol             sipAPI_QtNetworkAuth->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetworkAuth->api_import_symbol
#define sipFindType                 sipAPI_QtNetworkAuth->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetworkAuth->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetworkAuth->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetworkAuth->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetworkAuth->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetworkAuth->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetworkAuth->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetworkAuth->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetworkAuth->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetworkAuth->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetworkAuth->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetworkAuth->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtNetworkAuth->api_deprecated
#define sipGetReference             sipAPI_QtNetworkAuth->api_get_reference
#define sipKeepReference            sipAPI_QtNetworkAuth->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetworkAuth->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetworkAuth->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetworkAuth->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetworkAuth->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetworkAuth->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetworkAuth->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetworkAuth->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetworkAuth->api_init_mixin
#define sipExportModule             sipAPI_QtNetworkAuth->api_export_module
#define sipInitModule               sipAPI_QtNetworkAuth->api_init_module
#define sipGetInterpreter           sipAPI_QtNetworkAuth->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetworkAuth->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetworkAuth->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetworkAuth->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetworkAuth->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetworkAuth->api_get_c_function
#define sipGetMethod                sipAPI_QtNetworkAuth->api_get_method
#define sipFromMethod               sipAPI_QtNetworkAuth->api_from_method
#define sipGetDate                  sipAPI_QtNetworkAuth->api_get_date
#define sipFromDate                 sipAPI_QtNetworkAuth->api_from_date
#define sipGetDateTime              sipAPI_QtNetworkAuth->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetworkAuth->api_from_datetime
#define sipGetTime                  sipAPI_QtNetworkAuth->api_get_time
#define sipFromTime                 sipAPI_QtNetworkAuth->api_from_time
#define sipIsUserType               sipAPI_QtNetworkAuth->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetworkAuth->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetworkAuth->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetworkAuth->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetworkAuth->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetworkAuth->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetworkAuth->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetworkAuth->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetworkAuth->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetworkAuth->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetworkAuth->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetworkAuth->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetworkAuth->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetworkAuth->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetworkAuth->api_enable_gc
#define sipPrintObject              sipAPI_QtNetworkAuth->api_print_object
#define sipLong_AsChar              sipAPI_QtNetworkAuth->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetworkAuth->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetworkAuth->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetworkAuth->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetworkAuth->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetworkAuth->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetworkAuth->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetworkAuth->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetworkAuth->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetworkAuth->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetworkAuth->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetworkAuth->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetworkAuth->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetworkAuth->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtNetworkAuth->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetworkAuth->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetworkAuth->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetworkAuth->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetworkAuth->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetworkAuth->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetworkAuth[];

#define sipType_QAbstractOAuth sipExportedTypes_QtNetworkAuth[0]

#define sipType_QAbstractOAuth_ContentType sipExportedTypes_QtNetworkAuth[2]

#define sipType_QAbstractOAuth_Error sipExportedTypes_QtNetworkAuth[3]

#define sipType_QAbstractOAuth_Stage sipExportedTypes_QtNetworkAuth[4]

#define sipType_QAbstractOAuth_Status sipExportedTypes_QtNetworkAuth[5]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth;

#define sipType_QAbstractOAuth2 sipExportedTypes_QtNetworkAuth[1]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth2;

#define sipType_QAbstractOAuthReplyHandler sipExportedTypes_QtNetworkAuth[6]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuthReplyHandler;

#define sipType_QOAuth1 sipExportedTypes_QtNetworkAuth[8]

#define sipType_QOAuth1_SignatureMethod sipExportedTypes_QtNetworkAuth[9]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1;

#define sipType_QOAuth1Signature sipExportedTypes_QtNetworkAuth[10]

#define sipType_QOAuth1Signature_HttpRequestMethod sipExportedTypes_QtNetworkAuth[11]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1Signature;

#define sipType_QOAuth2AuthorizationCodeFlow sipExportedTypes_QtNetworkAuth[12]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth2AuthorizationCodeFlow;

#define sipType_QOAuthOobReplyHandler sipExportedTypes_QtNetworkAuth[14]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthOobReplyHandler;

#define sipType_QOAuthHttpServerReplyHandler sipExportedTypes_QtNetworkAuth[13]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthHttpServerReplyHandler;

#define sipType_std_pair_0100QString_0100QString sipExportedTypes_QtNetworkAuth[15]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_std_pair_0100QString_0100QString;

#define sipType_QMultiMap_0100QString_0100QVariant sipExportedTypes_QtNetworkAuth[7]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_QMultiMap_0100QString_0100QVariant;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetworkAuth;
extern sipExportedModuleDef sipModuleAPI_QtNetworkAuth;
extern sipTypeDef *sipExportedTypes_QtNetworkAuth[];

#define sipType_QObject sipImportedTypes_QtNetworkAuth_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtNetworkAuth_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNetworkAuth_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetworkAuth_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetworkAuth_QtCore[1].it_td

#define sipType_QDateTime sipImportedTypes_QtNetworkAuth_QtCore[2].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetworkAuth_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtNetworkAuth_QtCore[9].it_td

#define sipType_QUrlQuery sipImportedTypes_QtNetworkAuth_QtCore[10].it_td

#define sipType_QVariant sipImportedTypes_QtNetworkAuth_QtCore[11].it_td

#define sipType_QMap_0100QString_0100QVariant sipImportedTypes_QtNetworkAuth_QtCore[4].it_td

#define sipType_QString sipImportedTypes_QtNetworkAuth_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetworkAuth_QtCore[];

#define sipType_QHostAddress sipImportedTypes_QtNetworkAuth_QtNetwork[0].it_td

#define sipType_QHttpMultiPart sipImportedTypes_QtNetworkAuth_QtNetwork[1].it_td

#define sipType_QNetworkAccessManager sipImportedTypes_QtNetworkAuth_QtNetwork[3].it_td

#define sipType_QNetworkAccessManager_Operation sipImportedTypes_QtNetworkAuth_QtNetwork[4].it_td

#define sipType_QNetworkReply sipImportedTypes_QtNetworkAuth_QtNetwork[5].it_td

#define sipType_QNetworkRequest sipImportedTypes_QtNetworkAuth_QtNetwork[6].it_td

#define sipType_QSslConfiguration sipImportedTypes_QtNetworkAuth_QtNetwork[7].it_td

#define sipType_QList_0100QString sipImportedTypes_QtNetworkAuth_QtNetwork[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetworkAuth_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtNetworkAuth_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetworkAuth_qt_metacast;
#line 230 "/home/iurt/rpmbuild/BUILD/PyQt6_NetworkAuth-6.6.0/sip/QtNetworkAuth/qabstractoauth.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtnetworkauth_err_print_t)();
extern pyqt6_qtnetworkauth_err_print_t pyqt6_qtnetworkauth_err_print;
#line 697 "/home/iurt/rpmbuild/BUILD/PyQt6_NetworkAuth-6.6.0/build/QtNetworkAuth/sipAPIQtNetworkAuth.h"

#endif
